0
votes
1answer
592 views

config.status: error: cannot find input file: `Makefile.in'

I'm trying to install mod_WSGI on Ubuntu 12.04. Here is the set of commands that I'm following: wget http://modwsgi.googlecode.com/files/mod_wsgi-3.4.tar.gz tar xvfz mod_wsgi-3.4.tar.gz cd ...
0
votes
1answer
94 views

Which is exact method to install from source?

I have run (gradually) following command to install gdebi from source: apt-get build-dep gdebi apt-get source gdebi cd gdebi-0.9.5.3 dpkg-buildpackage -uc -us -b Which gives me error (posted last ...
1
vote
0answers
22 views

How to point to Boost built from source

I like to keep my Boost installations full and up to date to the latest release. I just noticed that I sloppily approved libboost-dev-all, and some of my programs that I develop are not able to ...
1
vote
1answer
2k views

Error 255 when trying to install openssl-1.0.1g from source

installing man1/cms.1 cms.pod around line 457: Expected text after =item, not a number cms.pod around line 461: Expected text after =item, not a number cms.pod around line 465: Expected text after ...
0
votes
0answers
57 views

How to build latest Gnome apps (music, photos etc) from source?

i've been reading for a while your answers but now the time came to ask mine. I tried several linux distros and i ended up with a customized saucy to run on Gnome 3.10. Though ricotz has compiled ...
0
votes
1answer
606 views

Error compiling a package: “configure: error: no gstreamer-1.0 >= 1.0.0”

I am trying to compile a package, which requires gstreamer-1.0 >= 1.0.3. I think I have an older vesion installed on my system. So I downloaded and compiled gstreamer-1.0.4 and it got installed in ...
1
vote
1answer
122 views

How to install build dependencies for source not available in Ubuntu repositories?

I keep myself busy compiling (makeing) several packages and some of them are not in the repositories (so apt-get build-dep doesn't help), the complete documentation about build dependencies is missing ...
2
votes
0answers
134 views

Problem when compiling GCC in Ubuntu

I have run into the well known problem when installing GCC: configure:3605: error: in /usr/local/gcc-4.8.1/i686-pc-linux-gnu/libgcc': configure:3608: error: cannot compute suffix of object files: ...
1
vote
1answer
82 views

Trouble installing specific .tar.bz2

I've used Ubuntu for over a year now and I have never gotten the hang of tarballs. I have a .tar.bz2, I've extracted it but I can't figure out where to go from here. I tried running ./configure but I ...
1
vote
1answer
839 views

How to install latest version of Cheese from source in Raring?

The source files can be downloaded from here. I want to use the last stable version. How to install Cheese from source? Or Is there any .deb file of version 3.8.3 available somewhere?
3
votes
1answer
244 views

Installation difference between from source and apt-get?

What's the difference between installation from source (./configure && make && make install) and with apt-get? I can think of these: apt-get version usually is more stable and less ...
3
votes
2answers
72 views

If I'm building from source, why does it require more space than installing via apt-get?

I was trying to install the program by compiling and then installing it. I choose PINTA. It requires these dependencies: mono mono-xbuild automake autoconf libmono-cairo2.0-cil gtk-sharp2 and it ...
0
votes
1answer
975 views

cannot find lcblas ubuntu 12.10

I was trying to use the make file of a program and I hit the following error: /usr/bin/ld: cannot find -lcblas I tried the solution from https://bugs.launchpad.net/ubuntu/+source/atlas/+bug/769180 ...
1
vote
1answer
3k views

How do I fix “/bin/sh: 2: patch: not found” and “make: *** [lib/libcurl.a] Error 127” errors?

curl-loader is a traffic generator. You can generate HTTP, HTTPS, FTP etc. traffic with it. Add to that, you can simulate multiple clients (multiple source IP addresses). Here’s an explanation of ...
1
vote
2answers
84 views

How to compile 'stygmorgan-0.29'?

I am trying to compile stygmorgan-0.29.tar.bz2 and got these messages: stygmorganui.cxx:7:28: fatal error: stygmicon128.xpm: No such file or directory compilation terminated. make[2]: *** ...
0
votes
1answer
307 views

How to build libHaru and the examples which are included

I downloaded libHaru from http://libharu.org/. libHaru is a opensource pdf creator. Now in the INSTALL file says I only have to run ./configure && make && make install. When I run this ...
1
vote
2answers
5k views

Solve error file compiling PHP configure: error: libXpm.(a|so) not found

I got an error while compiling PHP, I am listing the details below. Error configure error libxpm.(a so) not found I have checked with dpkg -L libxpm-dev. it is showing the needed file is in the ...
1
vote
0answers
165 views

I have a problem installing activestate python instead of the default. How can I fix it? Syntax error: “)” unexpected

I am getting this error when trying to run the ./install.sh for ActivePython. How can I correct this? cd /tmp wget ...
0
votes
1answer
256 views

Scanalyze install

I am trying to install Scanalyze. I downloaded the source code, and in the compilation instructions for Ubuntu, he has mentioned that for later versions of gcc (mine is 4+), there is a separate ...
2
votes
1answer
983 views

Compiling Meshlab

I am trying to install Meshlab as per the documentation. I installed all the dependencies and followed the steps. But am having trouble with certain steps here. In order to successfully compile a ...
5
votes
1answer
1k views

Patch, compile and run Wine without installing

I'm not familiar with compiling software from source. I would like to test a patched version of Wine following this procedure. I already have Wine installed and do not wish to modify it. I just want ...
0
votes
1answer
5k views

How to install arduino-1.0.3-linux32.tgz?

Can't ./configure after I tar'ed Linux version from here: http://arduino.cc/en/Main/Software
9
votes
1answer
9k views

No acceptable C compiler found in $PATH

I want to install one package named speech_tools-2.1-release.tar.gz. After I run command ./configure in this package, it show me a message: Configure: error: no acceptable C compiler found in $PATH ...
0
votes
1answer
754 views

Error installing ath9k Wireless Driver for Ubuntu 12.10

I'm following the instructions of this external link. When I enter sudo make install }}} I get the following error: make -C /lib/modules/3.5.0-17-generic/build ...
6
votes
1answer
286 views

Free Software for Billing (Colombia)

English I'm looking for a billing application (also inventories, shopping, clients, providers, accounts, etc) for small businesses. The software should adapt with Colombia's necessities. I searched ...
1
vote
1answer
1k views

Building LMMS: “Configuring incomplete, errors occurred!”

I tried to build Linux MultiMedia studio from the source of the SourceForge git:// repository under Ubuntu 12.04 LTS 32b: git clone git://lmms.git.sourceforge.net/gitroot/lmms/lmms cd lmms git ...
6
votes
1answer
1k views

How to build Compiz from source?

Similarly to this question made for Unity, I would like to know what is the correct procedure to build the latest development release of Compiz from source. In particular, it would be useful to know ...
3
votes
1answer
1k views

How do I upgrade to the latest Grub 2.00?

According to this link, GRUB 2.00 has just been released. How can one upgrade to this?
0
votes
1answer
181 views

How to I compile uget from source?

I've downloaded uget from its source fourge link. It is a tar.gz file. I have read that i could install a file of this type by extracting its contents and following these steps. ./configure make ...
0
votes
1answer
79 views

determining what files a package updates / copying software between machines

How do I determine which files comprise an application (built from source, not from a repo), so I can copy it? I built an application from source, but because the libraries it needed to build were ...
0
votes
0answers
252 views

How do I install gcc 4.7.0 from source? [duplicate]

Possible Duplicate: How to update gcc to the latest version(in this case 4.7) in Ubuntu 10.04? How do I install tar bz2 and gz files? I'm new user in ubuntu & I wonder if anyone can ...
1
vote
1answer
473 views

'make: *** [TLS.o] Error 1' while installing nzbget

I'm trying to install nzbget on ubuntu 11.10. Here's the output of ./configure checking for a BSD-compatible install... /usr/bin/install -c checking whether build environment is sane... yes checking ...
3
votes
1answer
576 views

How to install ffmpeg without root?

I want to install ffmpeg, however it seems that its impossible without root. there are sources, but I have to compile it somehow. how to compile it? I just need ffmpeg "exec".
4
votes
1answer
2k views

How do I install Clang Version 3 in 10.10?

How would I go about installing version 3 of Clang/LLVM in Ubuntu 10.10? Ubuntu 10.10 installs version 2.8 by default. Version 3 has more extensive/up to date support for C++ and possibly C (I am not ...
4
votes
1answer
403 views

Recompile all packages and trigger on updates

I am using Ubuntu on a bespoke router and after seeing the latency drops capable with custom compiling on Gentoo, I would like to recompile all packages with CFLAGS="-march=atom". The guide for this ...
1
vote
1answer
321 views

Ruby compilation error in Ubuntu 10

I've got a vps which runs solusVM. I'm now trying to install ruby 1.9.2 in it. I'm following this guide: After I run this command: apt-get update apt-get -y install build-essential zlib1g ...